// src/button/PrevButton.tsx
import { Button } from "@mantine/core";
import { jsx } from "react/jsx-runtime";
var PrevButton = () => {
  return /* @__PURE__ */ jsx(Button, { children: "Prev" });
};

// src/button/NextButton.tsx
import { Button as Button2 } from "@mantine/core";
import { jsx as jsx2 } from "react/jsx-runtime";
var NextButton = () => {
  return /* @__PURE__ */ jsx2(Button2, { children: "Next" });
};

// src/context/index.tsx
import { createStoreContext } from "@leight/context-client";
import { jsx as jsx3 } from "react/jsx-runtime";
var {
  Provider: CalendarStoreProvider,
  useState: useCalendarStoreState,
  useOptionalState: useOptionalCalendarStoreState,
  useStore: useCalendarStoreStore,
  useOptionalStore: useOptionalCalendarStoreStore
} = createStoreContext({
  state: () => () => ({
    foo: ""
  }),
  name: "CalendarStoreContext",
  hint: "Add CalendarStoreProvider."
});
var CalendarProvider = ({ ...props }) => {
  return /* @__PURE__ */ jsx3(
    CalendarStoreProvider,
    {
      ...props
    }
  );
};

// src/ui/Calendar.tsx
import {
  DateTime,
  useCalendar
} from "@leight/i18n";
import { Date } from "@leight/i18n-client";
import { classNames } from "@leight/utils-client";
import {
  Container,
  createStyles,
  Grid,
  Group
} from "@mantine/core";
import { Fragment, jsx as jsx4, jsxs } from "react/jsx-runtime";
var useStyles = createStyles((theme) => ({
  header: {
    textAlign: "center",
    backgroundColor: theme.colors["gray"][1]
    // height:          "3em",
  },
  day: {
    // height: "8em",
    // padding: "0.2em 0.4em",
    border: "1px solid #333",
    borderColor: theme.colors["gray"][9]
  },
  currentWeek: {},
  currentDay: {
    backgroundColor: theme.colors["gray"][4]
  },
  inRange: {
    fontWeight: "bold"
  },
  outOfRange: {
    backgroundColor: theme.colors["gray"][2],
    opacity: 0.5
  }
}));
var Calendar = ({ weekCountSize = 0, columnSize = 3, input = DateTime.now().plus({ month: 0 }) }) => {
  const { start, end, weeks, days } = useCalendar({
    input
  });
  const columns = days.length * columnSize + weekCountSize;
  const { classes } = useStyles();
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsxs(Group, { children: [
      /* @__PURE__ */ jsxs("span", { children: [
        "input: ",
        /* @__PURE__ */ jsx4(Date, { input: input.toJSDate() })
      ] }),
      /* @__PURE__ */ jsxs("span", { children: [
        "from: ",
        /* @__PURE__ */ jsx4(Date, { input: start.toJSDate() })
      ] }),
      /* @__PURE__ */ jsxs("span", { children: [
        "end: ",
        /* @__PURE__ */ jsx4(Date, { input: end.toJSDate() })
      ] })
    ] }),
    /* @__PURE__ */ jsxs(Container, { children: [
      /* @__PURE__ */ jsxs(Grid, { columns, children: [
        weekCountSize > 0 && /* @__PURE__ */ jsx4(Grid.Col, { span: weekCountSize }),
        days.map((day) => /* @__PURE__ */ jsx4(
          Grid.Col,
          {
            span: columnSize,
            className: classes.header,
            children: day
          },
          `day-${day}`
        ))
      ] }),
      weeks.map(({ days: days2, number, current, id }) => /* @__PURE__ */ jsxs(
        Grid,
        {
          columns,
          align: "end",
          className: current ? classes.currentWeek : void 0,
          children: [
            weekCountSize > 0 && /* @__PURE__ */ jsxs(
              Grid.Col,
              {
                span: weekCountSize,
                children: [
                  number,
                  "."
                ]
              }
            ),
            days2.map(({ day, current: current2, outOfRange, id: id2 }) => /* @__PURE__ */ jsx4(
              Grid.Col,
              {
                span: columnSize,
                className: classNames(
                  classes.day,
                  current2 ? classes.currentDay : void 0,
                  outOfRange ? classes.outOfRange : classes.inRange
                ),
                children: /* @__PURE__ */ jsx4(
                  "div",
                  {
                    style: {
                      textAlign: "right"
                    },
                    children: day.day
                  }
                )
              },
              id2
            ))
          ]
        },
        id
      ))
    ] })
  ] });
};
export {
  Calendar,
  CalendarProvider,
  CalendarStoreProvider,
  NextButton,
  PrevButton,
  useCalendarStoreState,
  useCalendarStoreStore,
  useOptionalCalendarStoreState,
  useOptionalCalendarStoreStore
};
//# sourceMappingURL=index.js.map
